The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
cURL
curl --request POST \ --url https://cloud.laravel.com/api/environments/{environment}/start \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "redeploy": true } '
{ "data": { "id": "<string>", "type": "deployments", "links": { "self": { "href": "<string>", "rel": "<string>", "describedby": "<string>", "title": "<string>", "type": "<string>", "hreflang": "<string>", "meta": {} } }, "relationships": {} }, "included": [ { "id": "<string>", "type": "environments", "links": { "self": { "href": "<string>", "rel": "<string>", "describedby": "<string>", "title": "<string>", "type": "<string>", "hreflang": "<string>", "meta": {} } }, "relationships": {} } ] }
Start an environment and trigger a deployment.
The Bearer Token generated on the Cloud UI.
The environment identifier
Pass true to redeploy the environment with the same commit as the latest deployment. Otherwise, the latest commit will be used.
DeploymentResource
Show child attributes
Was this page helpful?